Chuyển đến nội dung chính
GET
/
v1
/
veo
/
histories
curl -X GET "https://genaipro.vn/api/v1/veo/histories?page=1&page_size=20" \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "abc123",
      "prompt": "A cat playing in the garden",
      "file_urls": ["https://example.com/video1.mp4"],
      "status": "MEDIA_GENERATION_STATUS_SUCCESSFUL",
      "created_at": "2026-03-30T10:00:00Z"
    }
  ],
  "total": 50,
  "page": 1,
  "page_size": 20,
  "total_pages": 3
}
Trả về danh sách lịch sử tạo video và ảnh của người dùng, có phân trang.

Tham số Query

page
integer
mặc định:"1"
Số trang
page_size
integer
mặc định:"20"
Số mục mỗi trang
curl -X GET "https://genaipro.vn/api/v1/veo/histories?page=1&page_size=20" \
  --header 'Authorization: Bearer <token>'

Response

data
array
Danh sách các mục lịch sử
total
integer
Tổng số mục
page
integer
Trang hiện tại
page_size
integer
Số mục mỗi trang
total_pages
integer
Tổng số trang
{
  "data": [
    {
      "id": "abc123",
      "prompt": "A cat playing in the garden",
      "file_urls": ["https://example.com/video1.mp4"],
      "status": "MEDIA_GENERATION_STATUS_SUCCESSFUL",
      "created_at": "2026-03-30T10:00:00Z"
    }
  ],
  "total": 50,
  "page": 1,
  "page_size": 20,
  "total_pages": 3
}